TcPluginM

# Basic TcPluginM functionality

data TcPluginM a

tcPluginIO

tcPluginTrace

unsafeTcPluginTcM

# Finding Modules and Names

data FindResult

findImportedModule

lookupOrig

# Looking up Names in the typechecking environment

tcLookupGlobal

tcLookupTyCon

tcLookupDataCon

tcLookupClass

tcLookup

tcLookupId

# Getting the TcM state

getTopEnv

getEnvs

getInstEnvs

getFamInstEnvs

matchFam

# Type variables

newFlexiTyVar

isTouchableTcPluginM

# Zonking

zonkTcType

zonkCt